sargan {plm} | R Documentation

## Hansen–Sargan Test of Overidentifying Restrictions

### Description

A test of overidentifying restrictions for models estimated by GMM.

### Usage

    sargan(object, weights = c("twosteps", "onestep"))

### Arguments

`object` | an object of class `"pgmm"`,
`weights` | the weighting matrix to be used for the computation of the test.

### Details

The Hansen–Sargan test calculates the quadratic form of the moment restrictions that is minimized while computing the GMM estimator. It follows asymptotically a chi-square distribution with number of degrees of freedom equal to the difference between the number of moment conditions and the number of coefficients.

### Value

An object of class `"htest"`.

### Author(s)

Yves Croissant

### References

Hansen, L.P. (1982), Large Sample Properties of Generalized Methods of Moments Estimators, Econometrica, 50(4), pp. 1029–1054.

Sargan, J.D. (1958), The Estimation of Economic Relationships using Instrumental Variables, Econometrica, 26(3), pp. 393–415.

### See Also

`pgmm`

### Examples

    data("EmplUK", package = "plm")
    ar <- pgmm(log(emp) ~ lag(log(emp), 1:2) + lag(log(wage), 0:1) +
               lag(log(capital), 0:2) + lag(log(output), 0:2) | lag(log(emp), 2:99),
               data = EmplUK, effect = "twoways", model = "twosteps")
    sargan(ar)

[Package plm version 1.6-6 Index]